#ifndef __AMSCFLS_PARSEINPUT_CUH__
#define __AMSCFLS_PARSEINPUT_CUH__

namespace amscuda
{
namespace fractallevelset
{

    struct inputpars
    {
        public:
        cuvec3f xyz_min;
        cuvec3f xyz_max;
        int Nx;
        int Ny;
        int Nz;
        int nblockdiv;
        int nthreads;

        //function parameters
        bool isjulia;
        cuvec3f juliac;
        float exponent;
        int fractaliter;
        float threshold;
        float freezethresh;

        float scale;

        

        int operatingmode;
        int verbosity;
        
        __host__ __device__ inputpars();
        void __host__ print();
    };



    int parse_input(const char *fname, inputpars *pars);

    void inputmain(int argc, char *argv[]);

    



};//end namespaces
};

#endif